Subject: RE: /proc/cpuinfo
From: "Chris January" <[email-masked]>
To: "Diego Biurrun" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 7 May 2003 19:07:35 +0100

> Hello!
>
> The MPlayer documentation maintainer with shameless requests again ;-)
>
> I have a few questions about /proc/cpuinfo.
>
> On my machine I get the following output under Cygwin:
>
> processor       : 0
> vendor_id       : AuthenticAMD
> type            : primary processor
> cpu family      : 5
> model           : 13
> model name      : AMD-K6(tm)-III Processor
> stepping        : 0
> brand id        : 0
> cpu count       : 0
> apic id         : 0
> cpu MHz         : 250
> fpu             : yes
> flags           : fpu vme de pse tsc msr mce cx8 pge mmx
>
> which differs a bit from the output under Linux:
>
> processor	: 0
> vendor_id	: AuthenticAMD
> cpu family	: 5
> model		: 13
> model name	: AMD-K6(tm)-III Processor
> stepping	: 0
> cpu MHz		: 501.121
> cache size	: 256 KB
> fdiv_bug	: no
> hlt_bug		: no
> f00f_bug	: no
> coma_bug	: no
> fpu		: yes
> fpu_exception	: yes
> cpuid level	: 1
> wp		: yes
> flags		: fpu vme de pse tsc msr mce cx8 pge mmx syscall
> 3dnowext 3dnow k6_mtrr
> bogomips	: 999.42
>
>
> The 250MHz under Cygwin are probably a bug, I have a 500MHz CPU.
This value is taken from the Windows registry. Linux calculates it from
scratch it during its BogoMIPS initialisation. Have a look in your Windows
System control panel and you should see the same incorrect value.

>
> The interesting field is flags, which we use in our configure script
> to check for processor capabilities and later optimize for the ones we
> find.  Cygwin detects/displays less flags than Linux:
>
> flags           : fpu vme de pse tsc msr mce cx8 pge mmx
> flags		: fpu vme de pse tsc msr mce cx8 pge mmx syscall
> 3dnowext 3dnow k6_mtrr
>
> This is a pity as I now loose 3dnow and mtrr optimizations without
> manual tweaking.
>
> I know that /proc/cpuinfo is very new on Cygwin.  Is the lack of some
> flags a bug, or is this just implemented in a different way.  Any
> chance of supporting those flags in the future?
>
> If somebody decides to extends /proc/cpuinfo that would be
> tremendously appreciated.  I'm not expecting anything, of course, just
> hoping.
I used the Intel list of flags, but the list is slightly different on AMD
(e.g. 3dnow). If you can find and send me a list of the cpuid features flags
for AMD processors I'll add this in.

Chris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/